<html lang="en">
<head>
<title>Version Control - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Customizing.html#Customizing" title="Customizing">
<link rel="prev" href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods" title="Tag Hierarchy Methods">
<link rel="next" href="Hooks.html#Hooks" title="Hooks">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Version-Control"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Hooks.html#Hooks">Hooks</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Customizing.html#Customizing">Customizing</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">6.3 Version Control</h3>

<p><a name="index-version-control-50"></a><a name="index-vc-extensions-51"></a>
When using the file mode in speedbar, information regarding a version
control system adds small details to the display.  If a file is in a
version control system, and is &ldquo;checked out&rdquo; or &ldquo;locked&rdquo; locally, an
asterisk `<samp><span class="samp">*</span></samp>' appears at the end of the file name.  In addition,
the directory name for Version Control systems are left out of the
speedbar display.

   <p><a name="index-g_t_0040code_007bspeedbar_002ddirectory_002dunshown_002dregexp_007d-52"></a>You can easily add new version control systems into speedbar's detection
scheme.  To make a directory &ldquo;disappear&rdquo; from the list, use the variable
<code>speedbar-directory-unshown-regexp</code>.

   <p><a name="index-g_t_0040code_007bspeedbar_002dvc_002ddirectory_002denable_002dhook_007d-53"></a>Next, you need to write entries for two hooks.  The first is
<code>speedbar-vc-directory-enable-hook</code> which will enable a VC check in the
current directory for the group of files being checked.  Your hook
function should take one parameter (the directory to check) and return
<code>t</code> if your VC method is in control here.

   <p><a name="index-g_t_0040code_007bspeedbar_002dvc_002din_002dcontrol_002dhook_007d-54"></a>The second function is <code>speedbar-vc-in-control-hook</code>.  This hook
takes two parameters, the <var>path</var> of the file to check, and the
<var>file</var> name.  Return <code>t</code> if you want to have the asterisk
placed near this file.

   <p><a name="index-g_t_0040code_007bspeedbar_002dvc_002dindicator_007d-55"></a>Lastly, you can change the VC indicator using the variable
<code>speedbar-vc-indicator</code>, and specify a single character string.

   </body></html>

